Articles of Linux заголовки

Является ли это правильным синтаксисом для scp загруженного файла в Ubuntu?

Я загрузил последнюю версию swig, которую мне нужно переместить в Ubuntu. Я надеялся, что кто-то может помочь определить, какая часть моего синтаксиса неверна. Я пробовал несколько вариантов, но я не могу заставить его писать. я пробовал scp swig-3.0.2 user_name@111.111.11.111: swig-3.0.2 swig-3.0.2 is a directory (not copied) scp swig-3.0.2 drubio@192.168.56.101: /home/drubio/swig-3.0.2 No such file or directory […]

Создание установочного пакета в Ubuntu

Я программирую приложение Qt в Ubuntu. Ну, я новичок в Linux, но хорошо в Qt. Я хочу знать, как создавать Qt Static Libraries (он установлен из Synaptic), создать установочный пакет и как поместить приложение в меню приложений. Пожалуйста, поставьте мне несколько ссылок. Заранее спасибо.

Ошибка установки Kaldi на Ubuntu 16.04

Привет, я пытаюсь установить инструментарий Kaldi для распознавания речи на Ubuntu 16.04. Я выполнил инструкции в файле INSTALL. (1) перейти к инструментам / и следовать инструкциям INSTALL. Последовательная процедура в файле INSTALL в инструментах и ​​получила следующий вывод, $ extras / check_dependencies.sh ../tools/extras/check_dependencies.sh: all OK. и выполнены без ошибок. Вот несколько последних строк в случае, […]

Выполнение нескольких программ из одной программы

У меня есть 12 программ, которые я намерен запускать одновременно. Есть ли способ запустить все из них через одну программу, которая при построении запускает 12 программ? Я использую возвышенное, а программы – python.

запуск команды через терминал в Ubuntu с использованием Java Runtime.exec

Это довольно просто в Windows, но немного сложнее в Linux. я использую Runtime.getRuntime().exec(new String[] { “/bin/bash”, “-c”, “java -classpath /home/4/byz/Orc” }); где Orc – это файл classа с основной функцией. Но ничего не происходит. Есть ли какие-либо настройки? Я делаю что-то неправильно ? Я хочу, чтобы программа java запускалась в терминале. РЕДАКТИРОВАТЬ Вот решение: String[] […]

Как установить определенную версию postgres?

Мне нужно установить postgres 9.6.6 на Ubuntu 14.04, но команда apt-get install apt-get install postgresql-9.6 устанавливает 9.6.7 . Как установить 9.6.6? Вывод команды apt-cache policy postgresql-9.6 является postgresql-9.6: Installed: 9.6.7-1.pgdg14.04+1 Candidate: 9.6.7-1.pgdg14.04+1 Version table: *** 9.6.7-1.pgdg14.04+1 0 500 http://apt.postgresql.org/pub/repos/apt/ trusty-pgdg/main amd64 Packages 100 /var/lib/dpkg/status

Как получить cURL для использования https

Я на Ubuntu 14.04.2 LTS. cURL установлен, но не включает HTTPS в качестве протокола, который он будет использовать. Например: curl https://npmjs.org/install.sh | sh дает мне это: curl: (1) Protocol https not supported or disabled in libcurl Проверка curl -V приводит к: Protocols: dict file ftp gopher http imap pop3 rtsp smtp telnet tftp Features: IPv6 […]

Обновление версии шторма

Я новичок в штурме и Ubuntu. У меня проблемы с обновлением. Я удалил папку старой версии только из каталога, но на самом деле я думаю, что это плохо! потому что после установки новой версии и попытки ее запуска я нашел пустую папку старой версии! Как я могу решить эту проблему? Или как я могу удалить […]

RedHat, который содержит hdf5.h

Использование RedHat Linux 2.6.32-504.8.1.el6.x86_64 #1 SMP Fri Dec 19 12:09:25 EST 2014 x86_64 x86_64 x86_64 GNU/Linux . Я имею в виду hdf5.h В другой системе Ubuntu Linux 4.4.0-75-generic #96~14.04.1-Ubuntu SMP Thu Apr 20 11:06:30 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux Я могу сделать $ dpkg -S /usr/include/hdf5.h libhdf5-openmpi-dev: /usr/include/hdf5.h В RedHat я выполнил # yum […]

API Connect показывает сообщение «Can not GET / apim /» при обновлении схемы

У меня есть API Connect, установленный с разъемом mongodb на удаленном сервере. Когда я обращаюсь к IBM API Connect через браузер, все в порядке, но когда я перехожу к DataSources, где находится моя БД, и пытаюсь нажать кнопку «Обновить схему», как показано на рисунке, появляется ошибка: Невозможно GET /apim/dataSources/partials/dataSourceMigrate.html PS Я дал полное разрешение для […]